Bug 1410251 - In Dashboard view for infrastructure, Recent hosts and Recent VMs are not filtered by provider
Summary: In Dashboard view for infrastructure, Recent hosts and Recent VMs are not fil...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Dmitry Misharov
URL:
Whiteboard: dashboard
Depends On:
Blocks: 1413205
TreeView+ depends on / blocked
 
Reported: 2017-01-04 22:15 UTC by Loic Avenel
Modified: 2017-06-12 16:11 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1413205 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:11:18 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Loic Avenel 2017-01-04 22:15:43 UTC
Description of problem: In Dashboard view for infrastructure, Recent hosts and Recent VMs are not filtered by provider


Version-Release number of selected component (if applicable): 4.2 GA


How reproducible: Always


Steps to Reproduce:
1. go to any infra provider
2. open Dashboard view


Actual results: Recent VMs and Recent Hosts are the same for all providers..


Expected results: 


Additional info:

Comment 2 Harpreet Kataria 2017-01-12 17:24:46 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/144

Comment 3 CFME Bot 2017-01-12 22:48:23 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/23588312480e7800e68eab65f4450f9fbaf5c957

commit 23588312480e7800e68eab65f4450f9fbaf5c957
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Jan 11 11:23:45 2017 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Jan 12 12:44:57 2017 -0500

    Filter Recent VMs/Hosts charts by provider
    
    On Infrastructure Provider Dashboard view, Recent hosts and Recent VMs should be filtered by selected provider.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410251

 app/services/ems_infra_dashboard_service.rb       |  4 ++--
 spec/services/ems_infra_dashboard_service_spec.rb | 29 +++++++++++++++++++++++
 2 files changed, 31 insertions(+), 2 deletions(-)
 create mode 100644 spec/services/ems_infra_dashboard_service_spec.rb

Comment 5 Dmitry Misharov 2017-03-10 12:58:18 UTC
Verified in 5.8.0.4.20170307183144_745a3d9. Recent hosts and VMs charts in infrastructure provider filtered by provider.


Note You need to log in before you can comment on or make changes to this bug.